Back to reference
POST/wallet-settlements/{settlementId}/reject
Settlements

Reject settlement

Rejects a settlement with a reason.

Access tierrestricted_approverRate limit20/minIdempotencynoneAuthenticationBearerAuth
SourceLuxApi/app/Http/Controllers/Api/SettlementApiController.php::rejectLuxPayProjects @ 146e98baa44e

Parameters

X-Request-IDheader
stringOptional

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
settlementIdpath
integerRequired

Settlement identifier.

Example: 7001

Request body

RequiredReasonRequestRequired
reason
string

JSON example

{
  "reason": "string"
}

Code examples

The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request POST \
  --url 'https://sandbox-api.luxpay.example/v1/wallet-settlements/7001/reject' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "reason": "string"
}'

Responses

200Successful response.
status
boolean
Example: true
message
string | null
data
Settlement
{
  "status": true,
  "message": "string",
  "data": {
    "id": 1,
    "uuid": "00000000-0000-4000-8000-000000000001",
    "wallet_id": 1,
    "period_type": "daily",
    "period_start": "2026-07-16",
    "period_end": "2026-07-16",
    "status": "pending",
    "idempotency_key": "string",
    "notes": "string",
    "items": [
      {}
    ],
    "created_at": "2026-07-16T12:00:00Z"
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection